package com.ssj.service.conch.parents.v2.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

/**
 * @author yrf
 * @date 2019/12/27 14:20
 */
public class ModuleReqV3 extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "type", value = "查询类型：1（正常的错题查看），2（打印类型为打印原题时），3（学习成长报告错题，此时beginDate、endDate失效），5（打印类型为打印图片时），默认为1", required = true)
    @Min(1)
    @Max(5)
    private Integer type = 1;

    @ApiModelProperty(name = "vipId", value = "孩子id", required = true)
    @NotBlank
    private String vipId;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    @NotBlank
    private String subject;

    @ApiModelProperty(name = "beginDate", value = "查询错题的开始日期，如：2019.04.02")
    private String beginDate;

    @ApiModelProperty(name = "endDate", value = "查询错题的结束日期，如：2019.04.02")
    private String endDate;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

}
